Subject: bug#10578: 24.0.92; No png images on OpenSUSE 12.1

From: Juanma Barranquero <[email-masked]>
Date: Thu, 26 Jan 2012 13:27:30 +0100

On Thu, Jan 26, 2012 at 06:43, Eli Zaretskii <[email-masked]> wrote:

> Why not the first one?  More often than not, the others, if different,
> will be the consequences of the first one, which is the root cause.
> And if they are all identical, it doesn't matter which one you show ;-)

Just because delayed-warnings-list is ordered last-to-first and it's
easier to find the last one that the first one.

But this assumes that all such display warnings are produced by calls
to warn_about_display_error, and so they are all

  Error (display): Please check *Messages*

If we want to allow different kinds of display warnings, then the
thing to do is not to display the first one, but accumulate and
display them all (duplicates are no problem anyway because they are
collapsed by collapse-display-warnings, which runs before
show-display-errors-when-idle).

    Juanma